#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=aradan4.12_base.ps
projection=-JM16.0c+
region=-R52.9/53.4/34.3/34.8
gmt psbasemap $region $projection -Bxa0.2f0.1 -Bya0.2f0.1 -BWeSn+t'Base Map aradan4.12' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
gmt psxy /Users/ezgikarasozen/Documents/mloc/mloc_working/tables/faults/iran_faults_walker_gmt.dat $projection $region -Wthick,red -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
    34.519    53.195
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
    34.487    53.234
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
    34.507    53.205
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
    34.450    53.242
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
    34.506    53.223
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
    34.501    53.217
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
    34.519    53.201
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
    34.499    53.232
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
    34.516    53.202
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
    34.511    53.219
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
    34.511    53.238
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
    34.512    53.284
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
    34.508    53.185
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
    34.499    53.234
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
    34.505    53.239
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
    34.680    53.221
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
    34.671    53.040
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
    34.671    53.034
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
    34.676    53.036
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
    34.646    53.039
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
    34.650    53.045
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
    34.697    53.124
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
    34.721    53.219
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.517    53.196
    34.519    53.195
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.622    53.192
    34.519    53.195
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.484    53.230
    34.487    53.234
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.529    53.144
    34.487    53.234
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.504    53.202
    34.507    53.205
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.575    53.255
    34.507    53.205
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.450    53.236
    34.450    53.242
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.548    53.284
    34.450    53.242
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.505    53.225
    34.506    53.223
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.633    53.281
    34.506    53.223
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.503    53.217
    34.501    53.217
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.589    53.200
    34.501    53.217
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.519    53.203
    34.519    53.201
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.652    53.205
    34.519    53.201
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.497    53.194
    34.499    53.232
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.527    53.144
    34.499    53.232
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.514    53.199
    34.516    53.202
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.615    53.206
    34.516    53.202
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.507    53.215
    34.511    53.219
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.609    53.302
    34.511    53.219
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.509    53.240
    34.511    53.238
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.606    53.290
    34.511    53.238
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.508    53.278
    34.512    53.284
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.629    53.176
    34.512    53.284
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.505    53.190
    34.508    53.185
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.604    53.122
    34.508    53.185
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.498    53.231
    34.499    53.234
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.553    53.104
    34.499    53.234
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.503    53.241
    34.505    53.239
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.612    53.393
    34.505    53.239
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.679    53.217
    34.680    53.221
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.819    53.236
    34.680    53.221
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.669    53.043
    34.671    53.040
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.789    53.004
    34.671    53.040
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.671    53.036
    34.671    53.034
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.773    52.961
    34.671    53.034
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.675    53.037
    34.676    53.036
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.755    52.966
    34.676    53.036
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.646    53.035
    34.646    53.039
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.696    53.005
    34.646    53.039
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.652    53.039
    34.650    53.045
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.793    53.102
    34.650    53.045
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.699    53.128
    34.697    53.124
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.771    53.108
    34.697    53.124
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
    34.728    53.224
    34.721    53.219
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
    34.778    53.192
    34.721    53.219
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
    34.519    53.195    -5.892     1.097     1.449
    34.487    53.234    63.794     2.540     3.471
    34.507    53.205     3.790     1.309     2.854
    34.450    53.242    19.765     3.426     6.245
    34.506    53.223    -0.488     1.627     2.603
    34.501    53.217    -5.792     1.717     2.204
    34.519    53.201   -11.426     1.188     1.681
    34.499    53.232     3.885     1.750     3.564
    34.516    53.202    -5.404     2.084     2.757
    34.511    53.219     1.655     1.733     3.834
    34.511    53.238    67.150     2.623     3.365
    34.512    53.284   -14.937     1.769     3.161
    34.508    53.185    -6.959     1.885     4.452
    34.499    53.234    48.587     2.032     2.805
    34.505    53.239    32.187     2.076     3.532
    34.680    53.221    -8.667     2.234     2.844
    34.671    53.040     1.185     1.359     2.066
    34.671    53.034    19.697     1.873     2.631
    34.676    53.036     9.038     1.446     1.985
    34.646    53.039    18.409     1.551     2.492
    34.650    53.045    28.264     2.611     4.267
    34.697    53.124   -32.105     2.724     3.230
    34.721    53.219   -59.777     1.288     1.472
END
# Hypocentroid confidence ellipse
gmt psxy -: -R $projection -SE -Wthick,blue -O -K << END >> $psfile
    34.404    52.999    22.179     3.156     4.426
END
gmt pstext -: -R $projection -F+f6p,Helvetica,blue+a0.+jBL -O -K << END >> $psfile
    34.404    53.022   Hypocentroid
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
    34.404    52.999     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthinnest,blue -O -K << END >> $psfile
    34.404    52.999     0.070
END
gmt pstext -: -R $projection -F+f6p,Helvetica-Bold,red+a0.+jBC -Gwhite -O << END >> $psfile
    34.359    52.999   5 km
END
