#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=aradan4.12_dcal.ps
projection=-JM16.0c+
region=-R50.7/55.6/32.6/36.6
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration aradan4.12' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/g10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
gmt psxy /Users/ezgikarasozen/Documents/mloc/mloc_working/tables/faults/iran_faults_walker_gmt.dat $projection $region -Wthick,red -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.207    53.684
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.242    52.338
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.519    53.195
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.487    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.487    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.487    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.487    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.487    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.487    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.487    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.207    53.684
    34.487    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.487    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.487    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.242    52.338
    34.487    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.507    53.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.507    53.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.507    53.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.507    53.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.507    53.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.507    53.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.207    53.684
    34.507    53.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.507    53.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.507    53.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.507    53.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.242    52.338
    34.507    53.205
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.450    53.242
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.450    53.242
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.450    53.242
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.450    53.242
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.450    53.242
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.450    53.242
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.450    53.242
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.450    53.242
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.450    53.242
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.506    53.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.506    53.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.506    53.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.506    53.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.506    53.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.506    53.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.506    53.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.506    53.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.506    53.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.506    53.223
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.501    53.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.501    53.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.501    53.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.501    53.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.501    53.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.501    53.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.501    53.217
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.519    53.201
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.499    53.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.499    53.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.499    53.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.207    53.684
    34.499    53.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.499    53.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.499    53.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.242    52.338
    34.499    53.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.499    53.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.499    53.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.499    53.232
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.207    53.684
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.242    52.338
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.516    53.202
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.511    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.511    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.511    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.511    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.511    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.511    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.511    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.511    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.511    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.511    53.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.511    53.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.511    53.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.511    53.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.511    53.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.511    53.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.511    53.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.511    53.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.511    53.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.511    53.238
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.512    53.284
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.512    53.284
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.512    53.284
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.512    53.284
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.512    53.284
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.512    53.284
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.512    53.284
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.512    53.284
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.512    53.284
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.512    53.284
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.512    53.284
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.508    53.185
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.508    53.185
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.508    53.185
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.508    53.185
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.508    53.185
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.842    51.063
    34.508    53.185
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.508    53.185
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.508    53.185
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.508    53.185
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.508    53.185
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.508    53.185
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.508    53.185
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.508    53.185
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.499    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.499    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.499    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.499    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.499    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.207    53.684
    34.499    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.842    51.063
    34.499    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.499    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.499    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.242    52.338
    34.499    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.842    51.063
    34.499    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.499    53.234
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.505    53.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.505    53.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.505    53.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.505    53.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.505    53.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.505    53.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.505    53.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.505    53.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.842    51.063
    34.505    53.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.505    53.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.505    53.239
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.680    53.221
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.352    52.241
    34.680    53.221
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.680    53.221
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.680    53.221
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.680    53.221
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.680    53.221
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.680    53.221
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.680    53.221
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.680    53.221
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.680    53.221
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.680    53.221
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.680    53.221
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.476    51.024
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.352    52.241
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.352    52.241
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.480    51.245
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.908    51.126
    34.671    53.040
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.502    53.831
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.207    53.684
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.242    52.338
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.242    52.338
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.352    52.241
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.352    52.241
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.480    51.245
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.480    51.245
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.908    51.126
    34.671    53.034
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.352    52.241
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.480    51.245
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.676    53.036
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.083    52.810
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.480    51.245
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.761    51.440
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.242    52.338
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.799    52.808
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.502    53.831
    34.646    53.039
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.083    52.810
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.207    53.684
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.480    51.245
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.242    52.338
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.761    51.440
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.502    53.831
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.650    53.045
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.697    53.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.697    53.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.697    53.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.697    53.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.697    53.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.083    52.810
    34.697    53.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.207    53.684
    34.697    53.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.855    51.712
    34.697    53.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.242    52.338
    34.697    53.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.190    53.729
    34.697    53.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.697    53.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.697    53.124
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.381    52.959
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.352    52.241
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.352    52.241
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.468    53.915
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.642    52.754
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.806    53.284
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.969    52.135
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.969    52.135
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.995    51.727
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.577    52.032
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.630    51.971
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.242    52.338
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.242    52.338
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.190    53.729
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.438    51.276
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.842    51.063
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    34.842    51.063
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.752    51.389
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    35.746    51.387
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    36.502    53.831
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.736    51.396
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    33.319    51.579
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.721    53.219
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
    32.896    52.329
    34.721    53.219
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
    35.468    53.915     0.300
    35.642    52.754     0.300
    35.806    53.284     0.300
    34.995    51.727     0.300
    35.577    52.032     0.300
    36.207    53.684     0.300
    32.896    52.329     0.300
    33.319    51.579     0.300
    36.242    52.338     0.300
    35.630    51.971     0.300
    32.799    52.808     0.300
    35.381    52.959     0.300
    35.855    51.712     0.300
    34.842    51.063     0.300
    34.352    52.241     0.300
    35.476    51.024     0.300
    34.480    51.245     0.300
    35.908    51.126     0.300
    36.502    53.831     0.300
    36.083    52.810     0.300
    33.761    51.440     0.300
    33.190    53.729     0.300
    33.969    52.135     0.300
    35.438    51.276     0.300
    35.752    51.389     0.300
    35.746    51.387     0.300
    33.736    51.396     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.519    53.195     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.487    53.234     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.507    53.205     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.450    53.242     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.506    53.223     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.501    53.217     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.519    53.201     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.499    53.232     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.516    53.202     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.511    53.219     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.511    53.238     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.512    53.284     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.508    53.185     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.499    53.234     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.505    53.239     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.680    53.221     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.671    53.040     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.671    53.034     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.676    53.036     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.646    53.039     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.650    53.045     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.697    53.124     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
    34.721    53.219     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
    34.564    53.179     0.000   222.000   222.000
    34.564    53.179     0.000   444.000   444.000
END
