#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=aradan4.12_tt9_s_minus_p.ps
projection=-JX18/12
region=-R0/1.0/0/20
gmt psbasemap $region $projection -Bxa1f0.1+l'Epicentral Distance (deg)' -Bya5f1+l'Time Difference (s)' -BWeSn+t'S-P aradan4.12' -K > $psfile
# S-P curve at 5.0 km focal depth
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.483     0.100
     2.773     0.200
     4.103     0.300
     5.445     0.400
     6.791     0.500
     8.139     0.600
     9.489     0.700
    10.839     0.800
    12.190     0.900
    13.553     1.000
END
# S-P curve at 10.0 km focal depth
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     1.819     0.100
     2.966     0.200
     4.235     0.300
     5.548     0.400
     6.869     0.500
     8.191     0.600
     9.512     0.700
    10.834     0.800
    12.155     0.900
    13.477     1.000
END
# S-P curve at 15.0 km focal depth
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.255     0.100
     3.238     0.200
     4.414     0.300
     5.662     0.400
     6.945     0.500
     8.243     0.600
     9.551     0.700
    10.864     0.800
    12.179     0.900
    13.497     1.000
END
# S-P curve at 20.0 km focal depth
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     2.754     0.100
     3.597     0.200
     4.676     0.300
     5.861     0.400
     7.099     0.500
     8.367     0.600
     9.651     0.700
    10.946     0.800
    12.248     0.900
    13.555     1.000
END
# S-P curve at 25.0 km focal depth
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     3.285     0.100
     4.015     0.200
     5.000     0.300
     6.118     0.400
     7.308     0.500
     8.539     0.600
     9.796     0.700
    11.070     0.800
    12.355     0.900
    13.649     1.000
END
# S-P curve at 30.0 km focal depth
gmt psxy -: -R $projection -Wthick,black -K -O << END >> $psfile
     3.836     0.100
     4.475     0.200
     5.373     0.300
     6.423     0.400
     7.562     0.500
     8.753     0.600
     9.980     0.700
    11.230     0.800
    12.495     0.900
    13.772     1.000
END
# S-P arrivals
gmt psxy -: -R $projection -Sc -Wthin,red -O << END >> $psfile
END
